datablock ParticleData(HealParticle)
{
   dragCoefficient      = 5.0;
   gravityCoefficient   = -0.2;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 1000;
   lifetimeVarianceMS   = 500;
   useInvAlpha          = false;
   textureName          = "./heal";
   colors[0]     = "1.0 1.0 1.0 1";
   colors[1]     = "1.0 1.0 1.0 1";
   colors[2]     = "0.0 0.0 0.0 0";
   sizes[0]      = 0.4;
   sizes[1]      = 0.6;
   sizes[2]      = 0.4;
   times[0]      = 0.0;
   times[1]      = 0.2;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(HealEmitter)
{
   ejectionPeriodMS = 35;
   periodVarianceMS = 0;
   ejectionVelocity = 0.5;
   ejectionOffset   = 1.0;
   velocityVariance = 0.49;
   thetaMin         = 0;
   thetaMax         = 120;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "HealParticle";

   uiName = "Emote - Heal";
};

datablock ShapeBaseImageData(HealImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = $HeadSlot;

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 0.350;
	stateEmitter[1]					= HealEmitter;
	stateEmitterTime[1]				= 0.350;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function HealImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}

datablock ItemData(STIpillItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./pill.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "STI Pill";
	iconName = "./pill";
	doColorShift = true;
	colorShiftColor = "0.25 0.25 0.9";

	 // Dynamic properties defined by the scripts
	image = STIpillImage;
	canDrop = true;
};

datablock ShapeBaseImageData(STIpillImage)
{
   // Basic Item properties
   shapeFile = "./pill.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0.09 -0.07 -0.2";
   eyeOffset = 0; //"0.7 1.2 -0.5";
   rotation = eulerToMatrix( "0 0 0" );

   className = "WeaponImage";
   item = STIpillItem;

   //raise your arm up or not
   armReady = true;

   doColorShift = true;
   colorShiftColor = STIpillItem.colorShiftColor;

   // Initial start up state
	stateName[0]                     = "Ready";
	stateTransitionOnTriggerDown[0]  = "Fire";
	stateAllowImageChange[0]         = true;

	stateName[1]                     = "Fire";
	stateTransitionOnTimeout[1]      = "Ready";
	stateAllowImageChange[1]         = true;
	stateScript[1]                   = "onFire";
	stateTimeoutValue[1]		   = 1;
};

function STIpillImage::onFire(%this, %obj, %slot)
{
	if(%obj.getDamageLevel() <= 0)
		return;
	
	if(!%obj.hasSTI)
		return;

	%currSlot = %obj.currTool;
	
	%obj.emote(HealImage,1);
	%obj.tool[%currSlot] = 0;
	%obj.weaponCount--;
	
	if(isObject(%obj.client))
	{
		messageClient(%obj.client, 'MsgItemPickup', '', %currSlot, 0);
		serverCmdUnUseTool(%obj.client);
	}
	else
		%obj.unMountImage(%slot);

	if (%obj.hasHerpes)
	{
		messageClient(%obj.client, '', "Your herpes is gone... for now");
		%obj.schedule(60000, giveSTI, %obj.STIgiver, 2);
	}

	if (%obj.hasCrabs)
		messageClient(%obj.client, '', "Your crabs has been cured!");

	if (%obj.hasGonorrhea)
		messageClient(%obj.client, '', "Your gonorrhea has been cured!");

	if (%obj.hasSyphilis && %obj.syphilisStage <= 2)
		messageClient(%obj.client, '', "Your syphilis has been cured!");

	if (%obj.hasAIDS)
		messageClient(%obj.client, '', "You have AIDS! That shit is incurable!");
	else if (%obj.hasSyphilis && %obj.syphilisStage > 2)
		messageClient(%obj.client, '', "You have stage " @ %obj.syphilisStage SPC "syphilis! That shit is incurable!");
	else
	{
		%obj.hasSTI = false;

		if (!%obj.hasHerpes)
			%obj.STIgiver = "";

		if (%obj.prevForwardSpeed !$= "")
			%obj.setMaxForwardSpeed(%obj.prevForwardSpeed);

		if (%obj.prevBackwardSpeed !$= "")
			%obj.setMaxBackwardSpeed(%obj.prevSideSpeed);

		if (%obj.prevSideSpeed !$= "")
			%obj.setMaxSideSpeed(%obj.prevBackwardSpeed);

		%obj.prevForwardSpeed = "";
		%obj.prevBackwardSpeed = "";
		%obj.prevSideSpeed = "";
	}
}